Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.admin
Class ServerAdmin

    java.lang.Object
      |
      +--com.caucho.http.admin.ServerAdmin

public class ServerAdmin
extends java.lang.Object

Administers the web server.

Constructor Summary
`ServerAdmin(ServletServer server)` Creates a new Admin object.

Method Summary
`void` | `clearCache()` Clears the cache.
`void` | `close()` Closes the servlet server.
`void` | `closeTcp()` Closes the tcp servers but not the servlet server so active threads can continue to completion.
`int` | `getActiveConnectionCount()` Returns the number of active connections.
`int` | `getConnectionCount()` Returns the total number of connections.
`java.util.ArrayList` | `getTcpServerAdminList()` Returns a copy of the Tcp Server list.
`void` | `restart()` Restart the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerAdmin

    public ServerAdmin(ServletServer server)

  Creates a new Admin object.

Method Detail

### clearCache

    public void clearCache()

  Clears the cache.

### restart

    public void restart()

  Restart the application.

### getTcpServerAdminList

    public java.util.ArrayList getTcpServerAdminList()

  Returns a copy of the Tcp Server list.

### getConnectionCount

    public int getConnectionCount()

  Returns the total number of connections.

### getActiveConnectionCount

    public int getActiveConnectionCount()

  Returns the number of active connections.

### closeTcp

    public void closeTcp()

  Closes the tcp servers but not the servlet server so active threads can continue to completion.

### close

    public void close()

  Closes the servlet server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD